Skip to content
Start here

Delete a Zone Lockdown rule

client.Firewall.Lockdowns.Delete(ctx, lockDownsID, body) (*LockdownDeleteResponse, error)
DELETE/zones/{zone_id}/firewall/lockdowns/{lock_downs_id}

Deletes an existing Zone Lockdown rule.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Firewall Services Write
ParametersExpand Collapse
lockDownsID string

The unique identifier of the Zone Lockdown rule.

maxLength32
body LockdownDeleteParams
ZoneID param.Field[string]

Defines an identifier.

maxLength32
ReturnsExpand Collapse
type LockdownDeleteResponse struct{…}
ID stringoptional

The unique identifier of the Zone Lockdown rule.

maxLength32

Delete a Zone Lockdown rule

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/firewall"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  lockdown, err := client.Firewall.Lockdowns.Delete(
    context.TODO(),
    "372e67954025e0ba6aaa6d586b9e0b59",
    firewall.LockdownDeleteParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", lockdown.ID)
}
{
  "result": {
    "id": "372e67954025e0ba6aaa6d586b9e0b59"
  }
}
Returns Examples
{
  "result": {
    "id": "372e67954025e0ba6aaa6d586b9e0b59"
  }
}